/*
 * Copyright (C) 2016  Morgan McMillian <gilag@monkeystew.com>
 * 
 * This file is apart of the Goober application, a client for pnut.io
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import bb.cascades 1.4

Sheet {
    id: postSheet
    
    property alias input: postText
    property alias text: postText.text
    property int count: 256
    
    signal sendPost(string text)
    
    Page {
        titleBar: TitleBar {
            acceptAction: ActionItem {
                id: sendAction
                title: qsTr("Send")
                enabled: false
                onTriggered: {
                    sendPost(postText.text);
                    postText.text = "";
                    postSheet.close();
                }
            }
            dismissAction: ActionItem {
                title: qsTr("Cancel")
                onTriggered: {
                    postText.text = "";
                    postSheet.close();
                }
            }
            title: qsTr("New Post")

        }
        Container {
            Container {
                TextArea {
                    id: postText
                    preferredHeight: 350.0
                    onTextChanging: {
                        if (postText.text.length > 0) {
                            sendAction.enabled = true;
                        } else {
                            sendAction.enabled = false;
                        }
                        count = 256 - postText.text.length
                        if (count < 0) sendAction.enabled = false;
                    }
                }
            }
            Container {
                horizontalAlignment: HorizontalAlignment.Right
                Label {
                    text: count.toString()
                }
            }
        }
    }
}