/*
 * Copyright (C) 2016  Morgan McMillian <gilag@monkeystew.com>
 *
 * This file is apart of the Goober application, a client for pnut.io
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import bb.cascades 1.4

Page {
    
    property variant updateUserObj
    
    Container {
        ListView {
            id: userListView
            dataModel: ArrayDataModel {
                id: listModel
            }
            listItemComponents: [
                ListItemComponent {
                    id: root
                    UserItem {}
                }
            ]
            function follow(usero) {
                console.log("---> follow")
                updateUserObj = usero
                pnut.followUser(usero.id)
            }
            function unfollow(usero) {
                console.log("---> unfollow")
                updateUserObj = usero
                pnut.unfollowUser(usero.id)
            }
        }
    }
    
    function loadThread(data) {
        listModel.append(data);
    }
    
    function updateUser(userobj) {
        console.log("---> updating entry " + listModel.indexOf(updateUserObj))
        listModel.replace(listModel.indexOf(updateUserObj), userobj)
    }
}
